Debian Bug report logs - #696101
ITP: libxs-object-magic-perl -- module for opaque, extensible XS pointer backed objects using sv_magic

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: gregor herrmann <gregoa@debian.org>

Date: Sun, 16 Dec 2012 18:21:01 UTC

Owned by: gregor herrmann <gregoa@debian.org>

Severity: wishlist

Fixed in version libxs-object-magic-perl/0.4-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#696101; Package wnpp. (Sun, 16 Dec 2012 18:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 16 Dec 2012 18:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libxs-object-magic-perl -- module for opaque, extensible XS pointer backed objects using sv_magic
Date: Sun, 16 Dec 2012 19:19:04 +0100
Package: wnpp
Owner: gregor herrmann <gregoa@debian.org>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libxs-object-magic-perl
  Version         : 0.4
  Upstream Author : Florian Ragwitz
* URL             : https://metacpan.org/release/XS-Object-Magic/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module for opaque, extensible XS pointer backed objects using sv_magic

XS::Object::Magic provides a way of associating structs with Perl space
objects designed to supercede Perl's builtin "T_PTROBJ" with something that
is designed to be:

  * extensible: The association of the pointer using "sv_magicext" can be
    done on any data type, so you can associate C structs with any
    representation type. This means that you can add pointers to any object
    (hand coded, Moose or otherwise), while still having instance data in
    regular hashes.
  * opaque: The C pointer is neither visible nor modifiable from Perl space.
    This prevents accidental corruption which could lead to segfaults using
    "T_PTROBJ" (e.g. "$$ptr_obj = 0").



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 17 Dec 2012 07:09:14 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 18:04:01 GMT) Full text and rfc822 format available.

Notification sent to gregor herrmann <gregoa@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 18:04:01 GMT) Full text and rfc822 format available.

Message #12 received at 696101-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 696101-close@bugs.debian.org
Subject: Bug#696101: fixed in libxs-object-magic-perl 0.4-1
Date: Wed, 09 Jan 2013 18:00:08 +0000
Source: libxs-object-magic-perl
Source-Version: 0.4-1

We believe that the bug you reported is fixed in the latest version of
libxs-object-magic-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 696101@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated libxs-object-magic-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 16 Dec 2012 19:21:33 +0100
Source: libxs-object-magic-perl
Binary: libxs-object-magic-perl
Architecture: source amd64
Version: 0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 libxs-object-magic-perl - module for opaque, extensible XS pointer backed objects using sv_
Closes: 696101
Changes: 
 libxs-object-magic-perl (0.4-1) unstable; urgency=low
 .
   * Initial release (closes: #696101).
Checksums-Sha1: 
 f1c13a6c69bf546a5f201298877af1c3987ea1a1 2175 libxs-object-magic-perl_0.4-1.dsc
 4f14d689851c94dd104f3de01d275983c427fe41 66287 libxs-object-magic-perl_0.4.orig.tar.gz
 bd63e4b3c237c3a2ed24f6f6541e022d10803c2f 1830 libxs-object-magic-perl_0.4-1.debian.tar.gz
 f6e003875eff1de786b450ce18d1e35ac93b23eb 16278 libxs-object-magic-perl_0.4-1_amd64.deb
Checksums-Sha256: 
 d314096705a4f3d7e133e23af6a5efee1cb22ab016290b1d7b3dea3f63d16b13 2175 libxs-object-magic-perl_0.4-1.dsc
 3dea54e196d4ca13a5186dbe7b12d067ff4aaafb15f6e62a8bd1010c8f84cf0d 66287 libxs-object-magic-perl_0.4.orig.tar.gz
 2dcc8817e3c3f65dea67851140751d0bbcdf6227c9b402e5af9bbb1dbacf1916 1830 libxs-object-magic-perl_0.4-1.debian.tar.gz
 9dc56e28fa038e3ed512d6b03a9b5be563707a8ce65a85f187550e073bd8f2f2 16278 libxs-object-magic-perl_0.4-1_amd64.deb
Files: 
 6e0cf1a87eb8845a91787b312a5dfa4f 2175 perl optional libxs-object-magic-perl_0.4-1.dsc
 ce2e38addab1c7e541ca842019cba4a4 66287 perl optional libxs-object-magic-perl_0.4.orig.tar.gz
 7da0f523df61b7b3af8670f27daf2135 1830 perl optional libxs-object-magic-perl_0.4-1.debian.tar.gz
 c4d0aab0b4ecd208d06319baca375d0b 16278 perl optional libxs-object-magic-perl_0.4-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQzhFKAAoJELs6aAGGSaoGDQMQAI7wZepL+D2F4seaQDbYC9Hx
aiJmTKQHzdzFUDAztiE0vodPTshAfaRBhTbcg2InM7RnGiD57x+N5PDXiFB6FPU1
fUtii5LYHXRLgTpIeyOSehcFtUD0GW72y8aXOJdpuS/2P9ajPUJhMYzbyzbF8EcH
UM4auz8mPlkYX1iiJLf9T4DkHoYUAI59lelwr9U9ax9E05vHy74QcYv6mzGSUpk8
RsV5fIBi7ag9whjwgMwV31ovOeO1xJqB8rkjJ5W17mniVAvHk9nR7uM5jYuDLuvY
g6XjXVhkl8AI9KhhmJ468bMSfFY+xtplgXC+/WJdiJkifPFXEBZjHqI4/hK/PFq5
BGeASD4LiRbHUHikRt4fDm1+tO1FDCAALy63sYqh6kXDwmhUSgD9HrulWAv8x/1R
gohnvAToS5CVWYttWf/bwoA7P4EcPYvgKP8V+ctFlk+AIz+aXNTE9z9hNdGh2Ijw
heA1d0EEwpWxNcxXl0m8kyBtgO7rqBpK/EXPTJRAmF8Dv+zsHTMc55Ze+0uyhqJf
s92Txkn+fqSRFEyfNb1aDMr+X3dEkbUlGsIsksjsqLAagK9BPimqs7Fr7hXinlvM
2NqX63SsH9eha2E3Zm3NrUPLqSOqc9G6H5tFcE3NbS6ci3Qgzmi3edYdb0ZARp9h
c8E1AaNa/eq5IPNd7ALA
=KohX
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Feb 2013 07:25:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:47:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.